interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        fPTsgRgGUfD/AVMJUGs+0QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36612']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:22 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjkziy.2.1505364142402.Z0FBQUFBQlp1Z2l1UE9KaWkzSzY0eEFqc3VpLWNrYnVQZ1lNcktDMElnUE1NT2daWVhhQVhMZ2FFSnhZc1RGOEdId3NxRjlEYjdRbEV3enQzV1JuS3F1d3lyaFluWEpaeGdScEdheDhQcTJTNWFnVDJtcW5PTEYxVTA1aWJRTVRFdlEzUWJfSjRENTI;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:22
          GMT; secure', 'session_tracker=qSbSl2yFCjLtffhTYl.0.1505364142398.Z0FBQUFBQlp1Z2l1Um5VZWdrRzJiMGpfVzRIOTNOVHYzTTl2Y3BxQUg5RmlJdkoxS1B5N0c5RUpDVVhkSDBYNWJOTTJBQ1pVTldVdEVxTi1BMWtvcGZxZGhlb0d3V3FVR1VDaEdER0g5U2VDR0N1emtKQjZnMFRiWHNUY0NYOWNSUlB4Wk8xakUzWk4;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:22
          GMT; secure', edgebucket=fz2ihEZn8QdIB7X9XE; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1720-ORD]
      X-Timer: ['S1505364142.382018,VS0,VE367']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjkziy.2.1505364142402.Z0FBQUFBQlp1Z2l1UE9KaWkzSzY0eEFqc3VpLWNrYnVQZ1lNcktDMElnUE1NT2daWVhhQVhMZ2FFSnhZc1RGOEdId3NxRjlEYjdRbEV3enQzV1JuS3F1d3lyaFluWEpaeGdScEdheDhQcTJTNWFnVDJtcW5PTEYxVTA1aWJRTVRFdlEzUWJfSjRENTI;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:22
          GMT; secure', 'session_tracker=qSbSl2yFCjLtffhTYl.0.1505364142398.Z0FBQUFBQlp1Z2l1Um5VZWdrRzJiMGpfVzRIOTNOVHYzTTl2Y3BxQUg5RmlJdkoxS1B5N0c5RUpDVVhkSDBYNWJOTTJBQ1pVTldVdEVxTi1BMWtvcGZxZGhlb0d3V3FVR1VDaEdER0g5U2VDR0N1emtKQjZnMFRiWHNUY0NYOWNSUlB4Wk8xakUzWk4;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:22
          GMT; secure', edgebucket=fz2ihEZn8QdIB7X9XE; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GMjwOFDCt2lB9oMYCir%2BRD1vBxgmWKpOh9WNcanBgq3g8Y9moTj9GTse%2Fk5rbBAvsjc2F4PbM3M%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=fz2ihEZn8QdIB7X9XE; loid=00000000000drjkziy.2.1505364142402.Z0FBQUFBQlp1Z2l1UE9KaWkzSzY0eEFqc3VpLWNrYnVQZ1lNcktDMElnUE1NT2daWVhhQVhMZ2FFSnhZc1RGOEdId3NxRjlEYjdRbEV3enQzV1JuS3F1d3lyaFluWEpaeGdScEdheDhQcTJTNWFnVDJtcW5PTEYxVTA1aWJRTVRFdlEzUWJfSjRENTI;
          session_tracker=qSbSl2yFCjLtffhTYl.0.1505364142398.Z0FBQUFBQlp1Z2l1Um5VZWdrRzJiMGpfVzRIOTNOVHYzTTl2Y3BxQUg5RmlJdkoxS1B5N0c5RUpDVVhkSDBYNWJOTTJBQ1pVTldVdEVxTi1BMWtvcGZxZGhlb0d3V3FVR1VDaEdER0g5U2VDR0N1emtKQjZnMFRiWHNUY0NYOWNSUlB4Wk8xakUzWk4]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/top.json?t=week&limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 46325 characters]
        DOzLgBUsJOz/jq7f4KCeGgqJ5MH/B29ownXwdwMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['31095']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:24 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1720-ORD]
      X-Timer: ['S1505364144.822191,VS0,VE451']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=qSbSl2yFCjLtffhTYl.0.1505364143838.Z0FBQUFBQlp1Z2l3RWZRY1ZMd3dmdGhEd3dDWUFiRTdpalliTVVZRFdiS0N4V0UtUldKZENybElRYkZkN2VBRFdmVHpLOFhwVFZzSjVuTldMd3dXUGdmMjJKeHJKck5rMHMxNmhNTEVSbC15eDNvSVZOZXBINjJobS1oVkRPX0dWNl9KdkdQZWVmTTQ;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:24
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=NXOKWl8S3oOkVTlfMjb7LNo6SqQmAXqXMP4Bbz5M5Sxl6P30g7KB5PHRtU1Sg1AfF8Og3En0A2M%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
